import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/auth/api/loginEnhanced',
    method: 'post',
    data
  })
}

export function getInfo() {
  return request({
    url: '/staff/query/getCurrentUserInfo',
    method: 'get'
    // params: { token }
  })
}
export function isLandBased() {
  return request({
    url: '/system/query/isLandBased',
    method: 'get'
    // params: { token }
  })
}
export function companyInfo() {
  return request({
    url: '/company/query/companyInfo',
    method: 'get'
    // params: { token }
  })
}
export function logout() {
  return request({
    url: '/auth/api/logout',
    method: 'post'
  })
}

export function getRoule() {
  return request({
    url: '/roleMenu/query/getListByUserId',
    method: 'get'
    // params: { token }
  })
}
//获取验证码
export function getVerifyCode(data) {
  return request({
    url: '/commonUser/sendVerifyCode',
    method: 'get',
    params: data,
  })
}
//校验验证码
export function getCheckInfo(data) {
  return request({
    url: '/commonUser/checkVerifyCode',
    method: 'get',
    params: data,
  })
}
//
export function getlogin(data) {
  return request({
    url: '/loginController/query/login',
    method: 'get',
    params: data,
  })
}


